Subject: bug#13837: 24.2; Make it possible to turn whitespace-mode only when there are no existing problems

From: Reuben Thomas <[email-masked]>
Date: Sat, 2 Mar 2013 07:46:31 +0000

On 2 March 2013 03:02, Stefan Monnier <[email-masked]> wrote:
>>> (add-function :after-while (default-value 'whitespace-enable-predicate)
>>>               #'whitespace-check-cleanliness)
>> Emacs 24 doesn't seem to have add-function;
>
> We're talking about changing whitespace.el, so I take it for granted
> that this can be a "trunk-only" solution.

This was a bit of code you suggested putting in my .emacs, not
patching whitespace.el. If possible, I'd like something I can use
today with Emacs 24.

-- 
http://rrt.sc3d.org